> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save Metadata

> Save metadata extraction instructions<br>



## OpenAPI

````yaml https://document-assistant.us.aodocs.app/openapi.json put /assistant/api/v1/tenants/{tenant}/libraries/{library_id}/classes/{class_id}/metadata
openapi: 3.1.0
info:
  title: Document Assistant API
  description: |
    <p>
      The Document Assistant API enables developers to integrate document-based assistant
      functionalities into their applications using AODocs.
    </p>
    <p>
      The first step is to enable AIDA (AODocs Intelligent Document Assistant) in your tenant.
      The support team will provide you with the necessary information on how to get started.
    </p>
    <p>
      The second step is to enable AIDA on libraries. You need to be an administrator of the
      library to do this.<br />
      AIDA can answer questions only from those documents that are in an AIDA enabled
      library.<br />
      We create a vector store index for these documents. This can take some time. The get
      library API provides the status of the indexation and an estimate of the time
      remaining.<br />
      The content of the index is automatically kept up-to-date near real time with the
      content changes.
    </p>
    <p>
      The third step is to ask questions based on the AODocs documents.<br />
      AIDA automatically filters the results based on the user's permissions.
    </p>
    <p>
      <strong>Authentication:</strong> All API endpoints require a valid OAuth2 token in the
      Authorization header. Ensure the client ID of the OAuth2 token is whitelisted in AODocs.
    </p>
  version: 1.1.0
servers:
  - url: https://document-assistant.us.aodocs.app
    description: Production US
  - url: https://document-assistant.eu.aodocs.app
    description: Production EU
security: []
paths:
  /assistant/api/v1/tenants/{tenant}/libraries/{library_id}/classes/{class_id}/metadata:
    put:
      tags:
        - metadata
      summary: Save Metadata
      description: Save metadata extraction instructions<br>
      operationId: >-
        save_metadata_assistant_api_v1_tenants__tenant__libraries__library_id__classes__class_id__metadata_put
      parameters:
        - name: library_id
          in: path
          required: true
          schema:
            type: string
            description: The id of the library
            title: Library Id
          description: The id of the library
        - name: class_id
          in: path
          required: true
          schema:
            type: string
            title: Class Id
        - name: tenant
          in: path
          required: true
          schema:
            type: string
            description: The domain of the customer
            examples:
              - example.com
            title: Tenant
          description: The domain of the customer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Metadata'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Metadata'
        '400':
          description: A metadata property is missing both its ID and name
        '404':
          description: Library, document class, or field not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Metadata:
      properties:
        properties:
          items:
            $ref: '#/components/schemas/Property'
          type: array
          title: Properties
        extraction_instruction:
          anyOf:
            - type: string
            - type: 'null'
          title: Extraction Instruction
          description: The instruction for extracting this document class
      type: object
      required:
        - properties
      title: Metadata
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Property:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: The id of the field
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: The name of the field
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
          description: The type of the field
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: The description of the field
        extraction_instruction:
          anyOf:
            - type: string
            - type: 'null'
          title: Extraction Instruction
          description: The instruction for extracting this field
        skip_extraction:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Skip Extraction
          description: If this field should be skipped during extraction
          default: false
      type: object
      title: Property
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````